Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class GroupHierarchyPK

    java.lang.Object
      |
      +--com.beasys.portal.ejb.GroupHierarchyPK

public class GroupHierarchyPK
extends java.lang.Object
implements java.io.Serializable

The primary key class for the group hiearchy.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `groupId` The group id (name).
`java.lang.String` | `parentGroupId` The parent group id/name.

Constructor Summary
`GroupHierarchyPK()` Default constructor.
`GroupHierarchyPK(java.lang.String aGroupId, java.lang.String aParentGroupId)` Group hierarchy primary key.

Method Summary
`boolean` | `equals(java.lang.Object theOther)` Check for object equality.
`java.lang.String` | `getGroupId()` Get group id.
`java.lang.String` | `getParentGroupId()` Get parent group id.
`void` | `setGroupId(java.lang.String aGroupId)` Set group id.
`void` | `setParentGroupId(java.lang.String aParentGroupId)` Set parent group id.
`java.lang.String` | `toString()` String representation of the PK.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### groupId

    public java.lang.String groupId

  The group id (name).

### parentGroupId

    public java.lang.String parentGroupId

  The parent group id/name.

Constructor Detail

### GroupHierarchyPK

    public GroupHierarchyPK()

  Default constructor.

### GroupHierarchyPK

    public GroupHierarchyPK(java.lang.String aGroupId,
                            java.lang.String aParentGroupId)

  Group hierarchy primary key.
  Parameters:
    `aGroupId` - the group id/name.
    `aParentGroupId` - the parent group id/name.

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  Check for object equality.
  Overrides:
    equals in class java.lang.Object
  Parameters:
    `theOther` - the object to check against.
  Returns:
    boolean are they equal?

### toString

    public java.lang.String toString()

  String representation of the PK.
  Overrides:
    toString in class java.lang.Object
  Returns:
    String the rep.

### setGroupId

    public void setGroupId(java.lang.String aGroupId)

  Set group id.
  Parameters:
    `aGroupId` - the group id.

### getGroupId

    public java.lang.String getGroupId()

  Get group id.
  Returns:
    `String` the group id.

### setParentGroupId

    public void setParentGroupId(java.lang.String aParentGroupId)

  Set parent group id.
  Parameters:
    `aParentGroupId` - the parent group id.

### getParentGroupId

    public java.lang.String getParentGroupId()

  Get parent group id.
  Returns:
    `String` the parent group id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved